Skip to main content
ExLibris
  • Subscribe by RSS
  • Ex Libris Knowledge Center

    How to prepare for the Support Portal (Salesforce) Security Upgrade to TLS 1.2

    • Product: Cross-Product

     

    Ex Libris Support Portal will no longer support TLS 1.0.

    It will support TLS 1.1 until end of August 2019, and starting on September 1st. 2019, it will support TLS 1.2 only.
     

    Question

    How do I know if my browser supports TLS 1.2?

    Answer

    The easiest way to test if your browser supports TLS 1.2 is to visit this link https://www.ssllabs.com/ssltest/viewMyClient.html and look for the below message:


     Security Upgrade to TLS 1.png

    Which browsers support TLS 1.2?

     A comprehensive list of clients that support TLS 1.2 can be found here: https://www.ssllabs.com/ssltest/clients.html

    What kind of error message would I see when using an incompatible browser?

    The message may vary from one scenario to another, but you will likely see one of the following indications of a connection problem:

    • ERR_SSL_VERSION_OR_CIPHER_MISMATCH
    • SSL_ERROR_UNSUPPORTED_VERSION
    • Cannot connect securely to this page
    What do I do if I receive one of the above errors?

    To ensure your browser supports TLS 1.2, upgrade to your browser’s latest release.
    If the problem persists after upgrading your browser, please contact Ex Libris support.

    • Was this article helpful?